

drop index repcachekey
/


drop index srCacheKey
/


drop table ST_WORKGROUP cascade constraints
/


drop table ST_WGUSER cascade constraints
/


drop table ST_USERSUBSYS cascade constraints
/


drop table ST_USERROLE cascade constraints
/


drop table ST_USEREXPFUNC cascade constraints
/


drop table ST_URLRES cascade constraints
/


drop table ST_UPLOADRES cascade constraints
/


drop table ST_UPDTABPAGE cascade constraints
/


drop table ST_UPDSVRCHECK cascade constraints
/


drop table ST_UPDRES cascade constraints
/


drop table ST_UPDLINKOP cascade constraints
/


drop table ST_UPDJSEVENT cascade constraints
/


drop table ST_UPDJSCSS cascade constraints
/


drop table ST_UPDFUNC cascade constraints
/


drop table ST_UPDEXPOP cascade constraints
/


drop table ST_UPDDT cascade constraints
/


drop table ST_UPDCOLINFO cascade constraints
/


drop table ST_TBLINFO cascade constraints
/


drop table ST_TABRES cascade constraints
/


drop table ST_TABPAGE cascade constraints
/


drop table ST_TABJSCSS cascade constraints
/


drop table ST_TABFUNC cascade constraints
/


drop table ST_SYSUSER cascade constraints
/


drop table ST_SYSPARAM cascade constraints
/


drop table ST_SUMMARYREP cascade constraints
/


drop table ST_SUBSYS cascade constraints
/


drop table ST_SUBSEQ cascade constraints
/


drop table ST_SUBREP cascade constraints
/


drop table ST_STRDICGRP cascade constraints
/


drop table ST_STRDIC cascade constraints
/


drop table ST_SRROW cascade constraints
/


drop table ST_SRHDFT cascade constraints
/


drop table ST_SRGRIDHDCOL cascade constraints
/


drop table ST_SRGRIDHD cascade constraints
/


drop table ST_SRCOLUMN cascade constraints
/


drop table ST_SRCACHE cascade constraints
/


drop table ST_SRBODYCELL cascade constraints
/


drop table ST_SQLLOGSET cascade constraints
/


drop table ST_SQLLOG cascade constraints
/


drop table ST_SIMPLEFLOW cascade constraints
/


drop table ST_SFNODE cascade constraints
/


drop table ST_SEQUENCE cascade constraints
/


drop table ST_ROLEPERMISSION cascade constraints
/


drop table ST_ROLE cascade constraints
/


drop table ST_RGPARAM cascade constraints
/


drop table ST_REPUNITFUNC cascade constraints
/


drop table ST_REPTREEEXTNODE cascade constraints
/


drop table ST_REPTREE cascade constraints
/


drop table ST_REPSUMFIELD cascade constraints
/


drop table ST_REPSUM cascade constraints
/


drop table ST_REPSCHEDULE cascade constraints
/


drop table ST_REPPRT cascade constraints
/


drop table ST_REPORT cascade constraints
/


drop table ST_REPJSEVENT cascade constraints
/


drop table ST_REPJSCSS cascade constraints
/


drop table ST_REPHDFT cascade constraints
/


drop table ST_REPGRPSUMFIELD cascade constraints
/


drop table ST_REPGRPSUM cascade constraints
/


drop table ST_REPGRPDT cascade constraints
/


drop table ST_REPGRP cascade constraints
/


drop table ST_REPGRIDHDFIELD cascade constraints
/


drop table ST_REPGRIDHD cascade constraints
/


drop table ST_REPFUNC cascade constraints
/


drop table ST_REPFIELD cascade constraints
/


drop table ST_REPEXPORTTPL cascade constraints
/


drop table ST_REPEXP cascade constraints
/


drop table ST_REPDT cascade constraints
/


drop table ST_REPCNDSVRCHECK cascade constraints
/


drop table ST_REPCNDREM cascade constraints
/


drop table ST_REPCND cascade constraints
/


drop table ST_REPCHECKITEM cascade constraints
/


drop table ST_REPCHECK cascade constraints
/


drop table ST_REPCHARTAXIS cascade constraints
/


drop table ST_REPCHART cascade constraints
/


drop table ST_REPCACHE cascade constraints
/


drop table ST_REPAPPLY cascade constraints
/


drop table ST_REGION cascade constraints
/


drop table ST_REFDICRES cascade constraints
/


drop table ST_QUICKMOD cascade constraints
/


drop table ST_PERMISSION cascade constraints
/


drop table ST_MVCURL cascade constraints
/


drop table ST_MVCRST cascade constraints
/


drop table ST_MVCOPCTRL cascade constraints
/


drop table ST_MVCMODEL cascade constraints
/


drop table ST_MVCGURL cascade constraints
/


drop table ST_MVCEXPOP cascade constraints
/


drop table ST_MVCCHECK cascade constraints
/


drop table ST_MVCACTION cascade constraints
/


drop table ST_MODULE cascade constraints
/


drop table ST_MDBOPSUBRES cascade constraints
/


drop table ST_MDBOPRES cascade constraints
/


drop table ST_MDBOPJSEVENT cascade constraints
/


drop table ST_MDBOPJSCSS cascade constraints
/


drop table ST_MDBOPFUNC cascade constraints
/


drop table ST_MDBOPDT cascade constraints
/


drop table ST_LOGONLOG cascade constraints
/


drop table ST_INSTABPAGE cascade constraints
/


drop table ST_INSSVRCHECK cascade constraints
/


drop table ST_INSRES cascade constraints
/


drop table ST_INSLINKOP cascade constraints
/


drop table ST_INSJSEVENT cascade constraints
/


drop table ST_INSJSCSS cascade constraints
/


drop table ST_INSFUNC cascade constraints
/


drop table ST_INSEXPOP cascade constraints
/


drop table ST_INSDT cascade constraints
/


drop table ST_INSCOLINFO cascade constraints
/


drop table ST_FRAMESET cascade constraints
/


drop table ST_FRAME cascade constraints
/


drop table ST_FORMTABPAGE cascade constraints
/


drop table ST_FORMRES cascade constraints
/


drop table ST_FORMJSEVENT cascade constraints
/


drop table ST_FORMJSCSS cascade constraints
/


drop table ST_FORMFUNC cascade constraints
/


drop table ST_FORMELEM cascade constraints
/


drop table ST_FORMDT cascade constraints
/


drop table ST_ERRLOG cascade constraints
/


drop table ST_EJBINFO cascade constraints
/


drop table ST_DYNADICSUBRES cascade constraints
/


drop table ST_DYNADICRES cascade constraints
/


drop table ST_DICGRP cascade constraints
/


drop table ST_DIC cascade constraints
/


drop table ST_DEPT cascade constraints
/


drop table ST_DELSVRCHECK cascade constraints
/


drop table ST_DELRES cascade constraints
/


drop table ST_DELLINKOP cascade constraints
/


drop table ST_DELEXPOP cascade constraints
/


drop table ST_DBRES cascade constraints
/


drop table ST_DBOPRESMAP cascade constraints
/


drop table ST_CRSUMFIELD cascade constraints
/


drop table ST_CRSUM cascade constraints
/


drop table ST_CROSSREP cascade constraints
/


drop table ST_CRGRPSUMFIELD cascade constraints
/


drop table ST_CRGRPSUM cascade constraints
/


drop table ST_CRGRPDT cascade constraints
/


drop table ST_CRGRP cascade constraints
/


drop table ST_CRFIELD cascade constraints
/


drop table ST_CRCOLSUMHD cascade constraints
/


drop table ST_CRCOLGRP cascade constraints
/


drop table ST_COLINFO cascade constraints
/


drop table ST_CHECKFUNC cascade constraints
/


drop table ST_CATEGORY cascade constraints
/


/*==============================================================*/
/* Table: ST_CATEGORY                                           */
/*==============================================================*/


create table ST_CATEGORY  (
   CATID                NUMBER(6)                        not null,
   SUPERCAT             NUMBER(6)                        not null,
   CATTITLE             VARCHAR2(60)                     not null,
   DISPNO               NUMBER(6)                        not null,
   ISTOPMENU            NUMBER(4)                        not null,
   CLOSEICON            VARCHAR2(100),
   OPENICON             VARCHAR2(100),
   REMARK               VARCHAR2(100),
   constraint PK_ST_CATEGORY primary key (CATID)
)
/


/*==============================================================*/
/* Table: ST_CHECKFUNC                                          */
/*==============================================================*/


create table ST_CHECKFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   FUNCNAME             VARCHAR2(30)                     not null,
   FUNCDESC             VARCHAR2(80)                     not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_CHECKFUNC primary key (SUBSYS, FUNCNAME)
)
/


/*==============================================================*/
/* Table: ST_COLINFO                                            */
/*==============================================================*/


create table ST_COLINFO  (
   SUBSYS               VARCHAR2(12)                     not null,
   TBLNAME              VARCHAR2(40)                     not null,
   COLNAME              VARCHAR2(40)                     not null,
   DISPNO               NUMBER(4)                        not null,
   COLDESC              VARCHAR2(100)                    not null,
   JTYPE                NUMBER(4)                        not null,
   ISPKEY               NUMBER(4)                        not null,
   ISNULLABLE           NUMBER(4)                        not null,
   DICKIND              NUMBER(4)                        not null,
   DICSUBSYS            VARCHAR2(12),
   DICSUBKIND           NUMBER(6),
   DICGRPID             VARCHAR2(40),
   VALDICCOL            NUMBER(4),
   POPDICURL            VARCHAR2(500),
   INSVALEXP            VARCHAR2(255),
   DISPFORMAT           VARCHAR2(30),
   TAGTYPE              NUMBER(4)                        not null,
   COLSIZE              NUMBER(10)                       not null,
   DECDIGITS            NUMBER(4),
   MINLEN               NUMBER(4),
   MAXVAL               NUMBER,
   MINVAL               NUMBER,
   CHECKFUNC            VARCHAR2(30),
   DISPLEN              NUMBER(4)                        not null,
   ROWSIZE              NUMBER(4),
   TAGSTYLE             VARCHAR2(255),
   COLINFO              VARCHAR2(255),
   constraint PK_ST_COLINFO primary key (SUBSYS, TBLNAME, COLNAME)
)
/


/*==============================================================*/
/* Table: ST_CRCOLGRP                                           */
/*==============================================================*/


create table ST_CRCOLGRP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   GRPCRFIELDS          VARCHAR2(100)                    not null,
   SUMCRFIELDS          VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRCOLGRP primary key (SUBSYS, REPID, GRPLEVEL)
)
/


/*==============================================================*/
/* Table: ST_CRCOLSUMHD                                         */
/*==============================================================*/


create table ST_CRCOLSUMHD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SUMCRFIELDID         VARCHAR2(40)                     not null,
   COLCRFIELDID         VARCHAR2(40)                     not null,
   HEADEXP              VARCHAR2(100)                    not null,
   ISHMERGE             NUMBER(4)                        not null,
   ISVMERGE             NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRCOLSUMHD primary key (SUBSYS, REPID, SUMCRFIELDID, COLCRFIELDID)
)
/


/*==============================================================*/
/* Table: ST_CRFIELD                                            */
/*==============================================================*/


create table ST_CRFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CRFIELDID            VARCHAR2(40)                     not null,
   CRFIELDTYPE          NUMBER(4)                        not null,
   CRFIELDNO            NUMBER(4)                        not null,
   JTYPE                NUMBER(4)                        not null,
   HEADEXP              VARCHAR2(100),
   DATAEXP              VARCHAR2(255)                    not null,
   DISPEXP              VARCHAR2(255),
   DISPFORMAT           VARCHAR2(30),
   ISHDHMERGE           NUMBER(4)                        not null,
   ISVMERGE             NUMBER(4)                        not null,
   ISHMERGE             NUMBER(4)                        not null,
   ISEDIT               NUMBER(4)                        not null,
   DISPLEN              NUMBER(4),
   ISTAGVALUE           NUMBER(4)                        not null,
   SUMDISPPOS           NUMBER(4)                        not null,
   ISONEIGNSUM          NUMBER(4)                        not null,
   LINKTARGET           VARCHAR2(20),
   LINKURL              VARCHAR2(500),
   PARAMCRFIELDS        VARCHAR2(100),
   QUERYINFO            VARCHAR2(255),
   HEADTDSTYLE          VARCHAR2(255),
   DATATDSTYLE          VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRFIELD primary key (SUBSYS, REPID, CRFIELDID)
)
/


/*==============================================================*/
/* Table: ST_CRGRP                                              */
/*==============================================================*/


create table ST_CRGRP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   GRPCRFIELDS          VARCHAR2(100)                    not null,
   ISBREAK              NUMBER(4)                        not null,
   ISNEWPAGE            NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRGRP primary key (SUBSYS, REPID, GRPLEVEL)
)
/


/*==============================================================*/
/* Table: ST_CRGRPDT                                            */
/*==============================================================*/


create table ST_CRGRPDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRGRPDT primary key (SUBSYS, REPID, GRPLEVEL, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_CRGRPSUM                                           */
/*==============================================================*/


create table ST_CRGRPSUM  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   DISPNO               NUMBER(4)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   ISONEIGN             NUMBER(4)                        not null,
   TRSTYLE              VARCHAR2(255),
   SUMDESC              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRGRPSUM primary key (SUBSYS, REPID, GRPLEVEL, SUMID)
)
/


/*==============================================================*/
/* Table: ST_CRGRPSUMFIELD                                      */
/*==============================================================*/


create table ST_CRGRPSUMFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   CRFIELDID            VARCHAR2(40)                     not null,
   SUMEXP               VARCHAR2(255)                    not null,
   DISPFORMAT           VARCHAR2(30),
   ISMERGEBLK           NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRGRPSUMFIELD primary key (SUBSYS, REPID, GRPLEVEL, SUMID, CRFIELDID)
)
/


/*==============================================================*/
/* Table: ST_CROSSREP                                           */
/*==============================================================*/


create table ST_CROSSREP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   ISSORTED             NUMBER(4)                        not null,
   ISSHOWCOLHD          NUMBER(4)                        not null,
   ROWHDEXP             VARCHAR2(255),
   SORTCRFIELDS         VARCHAR2(255),
   TBLSTYLE             VARCHAR2(255),
   COLHDTRSTYLE         VARCHAR2(255),
   HDTRSTYLE            VARCHAR2(255),
   DATATRSTYLE          VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CROSSREP primary key (SUBSYS, REPID)
)
/


/*==============================================================*/
/* Table: ST_CRSUM                                              */
/*==============================================================*/


create table ST_CRSUM  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   DISPNO               NUMBER(4)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   ISONEIGN             NUMBER(4)                        not null,
   TRSTYLE              VARCHAR2(255),
   SUMDESC              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRSUM primary key (SUBSYS, REPID, SUMID)
)
/


/*==============================================================*/
/* Table: ST_CRSUMFIELD                                         */
/*==============================================================*/


create table ST_CRSUMFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   CRFIELDID            VARCHAR2(40)                     not null,
   SUMEXP               VARCHAR2(255)                    not null,
   DISPFORMAT           VARCHAR2(30),
   ISMERGEBLK           NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_CRSUMFIELD primary key (SUBSYS, REPID, SUMID, CRFIELDID)
)
/


/*==============================================================*/
/* Table: ST_DBOPRESMAP                                         */
/*==============================================================*/


create table ST_DBOPRESMAP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   DBOPTYPE             NUMBER(4)                        not null,
   RESID                VARCHAR2(20)                     not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_DBOPRESMAP primary key (SUBSYS, REPID, DBOPTYPE)
)
/


/*==============================================================*/
/* Table: ST_DBRES                                              */
/*==============================================================*/


create table ST_DBRES  (
   DBRESID              VARCHAR2(12)                     not null,
   DBRESDESC            VARCHAR2(40)                     not null,
   DBTYPE               NUMBER(4)                        not null,
   READENC              VARCHAR2(40),
   WRITEENC             VARCHAR2(40),
   CONNTYPE             NUMBER(4)                        not null,
   FACTORY              VARCHAR2(100),
   PROVIDER             VARCHAR2(100),
   URLPKGS              VARCHAR2(100),
   JNDIOPTIONS          VARCHAR2(255),
   DSJNDI               VARCHAR2(50),
   DRIVER               VARCHAR2(50),
   DBURL                VARCHAR2(100),
   DBUSER               VARCHAR2(20),
   PASSWD               VARCHAR2(100),
   CONNLISTENER         VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_DBRES primary key (DBRESID)
)
/


/*==============================================================*/
/* Table: ST_DELEXPOP                                           */
/*==============================================================*/


create table ST_DELEXPOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   DELETEID             VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   EXECCND              VARCHAR2(255),
   EXPCONT              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_DELEXPOP primary key (SUBSYS, DELETEID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_DELLINKOP                                          */
/*==============================================================*/


create table ST_DELLINKOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   DELETEID             VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   EXECCND              VARCHAR2(500),
   TARGETSUBSYS         VARCHAR2(12),
   SCRIPTTYPE           NUMBER(4)                        not null,
   SCRIPTCONT           VARCHAR2(2000)                   not null,
   PARAMEXPS            VARCHAR2(1000),
   REMARK               VARCHAR2(255),
   constraint PK_ST_DELLINKOP primary key (SUBSYS, DELETEID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_DELRES                                             */
/*==============================================================*/


create table ST_DELRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   DELETEID             VARCHAR2(20)                     not null,
   DELTYPE              NUMBER(4)                        not null,
   RESDESC              VARCHAR2(100)                    not null,
   RESOBJ               VARCHAR2(100)                    not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   ISCHKRST             NUMBER(4)                        not null,
   NEXTURL              VARCHAR2(500),
   APPENDCND            VARCHAR2(255),
   DELHANDLER           VARCHAR2(100),
   BUSICLASSTYPE        NUMBER(4),
   BUSICLASS            VARCHAR2(100),
   BUSIMETHOD           VARCHAR2(255),
   BUSIPARAMS           VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_DELRES primary key (SUBSYS, DELETEID)
)
/


/*==============================================================*/
/* Table: ST_DELSVRCHECK                                        */
/*==============================================================*/


create table ST_DELSVRCHECK  (
   SUBSYS               VARCHAR2(12)                     not null,
   DELETEID             VARCHAR2(20)                     not null,
   CHECKNO              NUMBER(4)                        not null,
   CHECKEXP             VARCHAR2(255)                    not null,
   ERRINFO              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_DELSVRCHECK primary key (SUBSYS, DELETEID, CHECKNO)
)
/


/*==============================================================*/
/* Table: ST_DEPT                                               */
/*==============================================================*/


create table ST_DEPT  (
   RGID                 VARCHAR2(30)                     not null,
   DEPTID               VARCHAR2(30)                     not null,
   DEPTNAME             VARCHAR2(40)                     not null,
   DEPTLEVEL            NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_DEPT primary key (DEPTID)
)
/


/*==============================================================*/
/* Table: ST_DIC                                                */
/*==============================================================*/


create table ST_DIC  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICGRPID             NUMBER(4)                        not null,
   DICID                NUMBER(4)                        not null,
   DICDESC              VARCHAR2(100)                    not null,
   REMARK               VARCHAR2(100),
   constraint PK_ST_DIC primary key (SUBSYS, DICGRPID, DICID)
)
/


/*==============================================================*/
/* Table: ST_DICGRP                                             */
/*==============================================================*/


create table ST_DICGRP  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICGRPID             NUMBER(4)                        not null,
   ISSYSDIC             NUMBER(4)                        not null,
   DDDESCTYPE           NUMBER(4)                        not null,
   GRPDESC              VARCHAR2(100),
   REMARK               VARCHAR2(100),
   constraint PK_ST_DICGRP primary key (SUBSYS, DICGRPID)
)
/


/*==============================================================*/
/* Table: ST_DYNADICRES                                         */
/*==============================================================*/


create table ST_DYNADICRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICSUBKIND           NUMBER(6)                        not null,
   SUBKINDDESC          VARCHAR2(40)                     not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_DYNADICRES primary key (SUBSYS, DICSUBKIND)
)
/


/*==============================================================*/
/* Table: ST_DYNADICSUBRES                                      */
/*==============================================================*/


create table ST_DYNADICSUBRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICSUBKIND           NUMBER(6)                        not null,
   SUBDICNO             NUMBER(4)                        not null,
   SUBDICDESC           VARCHAR2(40)                     not null,
   DRSUBSYS             VARCHAR2(12),
   DRREPID              NUMBER(6)                        not null,
   REMARK               VARCHAR2(100),
   constraint PK_ST_DYNADICSUBRES primary key (SUBSYS, DICSUBKIND, SUBDICNO)
)
/


/*==============================================================*/
/* Table: ST_EJBINFO                                            */
/*==============================================================*/


create table ST_EJBINFO  (
   SUBSYS               VARCHAR2(12)                     not null,
   REMOTE               VARCHAR2(100)                    not null,
   HOME                 VARCHAR2(100)                    not null,
   BEAN                 VARCHAR2(100)                    not null,
   EJBJNDI              VARCHAR2(100)                    not null,
   FACTORY              VARCHAR2(100),
   PROVIDER             VARCHAR2(100),
   URLPKGS              VARCHAR2(100),
   JNDIOPTIONS          VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_EJBINFO primary key (REMOTE)
)
/


/*==============================================================*/
/* Table: ST_ERRLOG                                             */
/*==============================================================*/


create table ST_ERRLOG  (
   LOGID                NUMBER(14)                       not null,
   USERID               VARCHAR2(20),
   ERRTIME              DATE,
   ERRTYPE              VARCHAR2(100),
   ERRINFO              VARCHAR2(255),
   DETAIL               LONG,
   constraint PK_ST_ERRLOG primary key (LOGID)
)
/


/*==============================================================*/
/* Table: ST_FORMDT                                             */
/*==============================================================*/


create table ST_FORMDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_FORMDT primary key (SUBSYS, FORMID, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_FORMELEM                                           */
/*==============================================================*/


create table ST_FORMELEM  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   ELEMTAGNAME          VARCHAR2(40)                     not null,
   DISPNO               NUMBER(4)                        not null,
   ELEMDESC             VARCHAR2(40)                     not null,
   ELEMTAGID            VARCHAR2(40),
   JTYPE                NUMBER(4)                        not null,
   ISNULLABLE           NUMBER(4)                        not null,
   DICKIND              NUMBER(4)                        not null,
   DICSUBSYS            VARCHAR2(12),
   DICSUBKIND           NUMBER(6),
   DICGRPID             VARCHAR2(30),
   VALDICCOL            NUMBER(4),
   DISPFORMAT           VARCHAR2(30),
   TAGTYPE              NUMBER(4)                        not null,
   ISDISPONLY           NUMBER(4)                        not null,
   DISPLEN              NUMBER(4)                        not null,
   ROWSIZE              NUMBER(4),
   MAXLEN               NUMBER(6),
   MINLEN               NUMBER(6),
   MAXVAL               NUMBER,
   MINVAL               NUMBER,
   CHECKFUNC            VARCHAR2(30),
   POPDICURL            VARCHAR2(500),
   TAGSTYLE             VARCHAR2(255),
   INITVALEXPS          VARCHAR2(255),
   JSEVENT              VARCHAR2(255),
   ELEMINFO             VARCHAR2(255),
   constraint PK_ST_FORMELEM primary key (SUBSYS, FORMID, ELEMTAGNAME)
)
/


/*==============================================================*/
/* Table: ST_FORMFUNC                                           */
/*==============================================================*/


create table ST_FORMFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   FUNCID               VARCHAR2(30)                     not null,
   DISPNAME             VARCHAR2(30)                     not null,
   DISPNO               NUMBER(4)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500),
   TARGET               VARCHAR2(30),
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_FORMFUNC primary key (SUBSYS, FORMID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_FORMJSCSS                                          */
/*==============================================================*/


create table ST_FORMJSCSS  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   JSCSSNO              NUMBER(2)                        not null,
   JSCSS                VARCHAR2(2000)                   not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_FORMJSCSS primary key (SUBSYS, FORMID, JSCSSNO)
)
/


/*==============================================================*/
/* Table: ST_FORMJSEVENT                                        */
/*==============================================================*/


create table ST_FORMJSEVENT  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   EVENTTYPE            NUMBER(4)                        not null,
   JSFUNC               VARCHAR2(100)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_FORMJSEVENT primary key (SUBSYS, FORMID, EVENTTYPE)
)
/


/*==============================================================*/
/* Table: ST_FORMRES                                            */
/*==============================================================*/


create table ST_FORMRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   FORMTAGNAME          VARCHAR2(30)                     not null,
   FORMDESC             VARCHAR2(50)                     not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   ISSYSFMENU           NUMBER(4)                        not null,
   FORMTAGID            VARCHAR2(30),
   FORMMETHOD           NUMBER(4)                        not null,
   FORMTYPE             NUMBER(4)                        not null,
   FORMACTION           VARCHAR2(255)                    not null,
   FORMTARGET           VARCHAR2(30),
   ISBATCH              NUMBER(4)                        not null,
   PUBELEMS             VARCHAR2(255),
   ARRAYFMT             VARCHAR2(2000),
   DISPSTYLE            VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_FORMRES primary key (SUBSYS, FORMID)
)
/


/*==============================================================*/
/* Table: ST_FORMTABPAGE                                        */
/*==============================================================*/


create table ST_FORMTABPAGE  (
   SUBSYS               VARCHAR2(12)                     not null,
   FORMID               NUMBER(5)                        not null,
   PAGENO               NUMBER(2)                        not null,
   PAGETITLE            VARCHAR2(40)                     not null,
   ARRAYFMT             VARCHAR2(500),
   PAGEDT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_FORMTABPAGE primary key (SUBSYS, FORMID, PAGENO)
)
/


/*==============================================================*/
/* Table: ST_FRAME                                              */
/*==============================================================*/


create table ST_FRAME  (
   SUBSYS               VARCHAR2(12)                     not null,
   FRAMESETID           NUMBER(5)                        not null,
   FRAMEID              VARCHAR2(20)                     not null,
   DISPNO               NUMBER(5)                        not null,
   FRAMEDESC            VARCHAR2(50)                     not null,
   TAGID                VARCHAR2(20),
   TAGNAME              VARCHAR2(20)                     not null,
   FRAMEURL             VARCHAR2(255),
   ISBORDER             NUMBER(5),
   ISRESIZE             NUMBER(5)                        not null,
   ISREDUCE             NUMBER(5)                        not null,
   MINSIZE              NUMBER(3),
   SCROLLTYPE           NUMBER(5)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_FRAME primary key (SUBSYS, FRAMESETID, FRAMEID)
)
/


/*==============================================================*/
/* Table: ST_FRAMESET                                           */
/*==============================================================*/


create table ST_FRAMESET  (
   SUBSYS               VARCHAR2(12)                     not null,
   FRAMESETID           NUMBER(5)                        not null,
   FRAMESETDESC         VARCHAR2(50)                     not null,
   TAGID                VARCHAR2(20),
   DISPTYPE             NUMBER(5)                        not null,
   ROWSCOLS             VARCHAR2(40)                     not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_FRAMESET primary key (SUBSYS, FRAMESETID)
)
/


/*==============================================================*/
/* Table: ST_INSCOLINFO                                         */
/*==============================================================*/


create table ST_INSCOLINFO  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   COLNAME              VARCHAR2(40)                     not null,
   COLDESC              VARCHAR2(40),
   ISNULLABLE           NUMBER(4),
   TAGTYPE              NUMBER(4),
   DISPFORMAT           VARCHAR2(100),
   DISPLEN              NUMBER(8),
   ROWSIZE              NUMBER(4),
   CHECKFUNC            VARCHAR2(30),
   POPDICURL            VARCHAR2(500),
   TAGSTYLE             VARCHAR2(255),
   INITEXP              VARCHAR2(500),
   SAVEEXP              VARCHAR2(500),
   JSEVENT              VARCHAR2(255),
   constraint PK_ST_INSCOLINFO primary key (SUBSYS, INSERTID, COLNAME)
)
/


/*==============================================================*/
/* Table: ST_INSDT                                              */
/*==============================================================*/


create table ST_INSDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSDT primary key (SUBSYS, INSERTID, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_INSEXPOP                                           */
/*==============================================================*/


create table ST_INSEXPOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   EXECCND              VARCHAR2(255),
   EXPCONT              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSEXPOP primary key (SUBSYS, INSERTID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_INSFUNC                                            */
/*==============================================================*/


create table ST_INSFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   FUNCID               VARCHAR2(20)                     not null,
   DISPNAME             VARCHAR2(100)                    not null,
   DISPNO               NUMBER(2),
   DISPPOS              NUMBER(4)                        not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500),
   URLCOLS              VARCHAR2(255),
   TARGET               VARCHAR2(30),
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   FUNCINFO             VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSFUNC primary key (SUBSYS, INSERTID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_INSJSCSS                                           */
/*==============================================================*/


create table ST_INSJSCSS  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   JSCSSNO              NUMBER(4)                        not null,
   JSCSS                VARCHAR2(2000)                   not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSJSCSS primary key (SUBSYS, INSERTID, JSCSSNO)
)
/


/*==============================================================*/
/* Table: ST_INSJSEVENT                                         */
/*==============================================================*/


create table ST_INSJSEVENT  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   EVENTTYPE            NUMBER(4)                        not null,
   JSFUNC               VARCHAR2(100)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSJSEVENT primary key (SUBSYS, INSERTID, EVENTTYPE)
)
/


/*==============================================================*/
/* Table: ST_INSLINKOP                                          */
/*==============================================================*/


create table ST_INSLINKOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   EXECCND              VARCHAR2(500),
   TARGETSUBSYS         VARCHAR2(12),
   SCRIPTTYPE           NUMBER(4)                        not null,
   SCRIPTCONT           VARCHAR2(2000)                   not null,
   PARAMEXPS            VARCHAR2(1000),
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSLINKOP primary key (SUBSYS, INSERTID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_INSRES                                             */
/*==============================================================*/


create table ST_INSRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   INSTYPE              NUMBER(4)                        not null,
   RESDESC              VARCHAR2(100)                    not null,
   RESOBJ               VARCHAR2(100)                    not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   ISSYSFMENU           NUMBER(4)                        not null,
   FORMACTION           VARCHAR2(255),
   NEXTURL              VARCHAR2(500),
   BFILTERCND           VARCHAR2(255),
   INSCOLS              VARCHAR2(2000),
   NOINSCOLS            VARCHAR2(255),
   DISPCOLS             VARCHAR2(255),
   PUBCOLS              VARCHAR2(255),
   ARRAYFMT             VARCHAR2(2000),
   TAGPROVIDER          VARCHAR2(100),
   INSHANDLER           VARCHAR2(100),
   BUSICLASSTYPE        NUMBER(4),
   BUSICLASS            VARCHAR2(100),
   BUSIMETHOD           VARCHAR2(50),
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSRES primary key (SUBSYS, INSERTID)
)
/


/*==============================================================*/
/* Table: ST_INSSVRCHECK                                        */
/*==============================================================*/


create table ST_INSSVRCHECK  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   CHECKNO              NUMBER(4)                        not null,
   CHECKEXP             VARCHAR2(255)                    not null,
   ERRINFO              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSSVRCHECK primary key (SUBSYS, INSERTID, CHECKNO)
)
/


/*==============================================================*/
/* Table: ST_INSTABPAGE                                         */
/*==============================================================*/


create table ST_INSTABPAGE  (
   SUBSYS               VARCHAR2(12)                     not null,
   INSERTID             VARCHAR2(20)                     not null,
   PAGENO               NUMBER(4)                        not null,
   PAGETITLE            VARCHAR2(40)                     not null,
   ARRAYFMT             VARCHAR2(500),
   PAGEDT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_INSTABPAGE primary key (SUBSYS, INSERTID, PAGENO)
)
/


/*==============================================================*/
/* Table: ST_LOGONLOG                                           */
/*==============================================================*/


create table ST_LOGONLOG  (
   USERID               VARCHAR2(20)                     not null,
   LOGONTIME            DATE                             not null,
   LOGOUTTIME           DATE,
   SESSIONID            VARCHAR2(100)                    not null,
   ISONLINE             NUMBER(4)                        not null,
   IPDRESS              VARCHAR2(20),
   HOSTNAME             VARCHAR2(20),
   constraint PK_ST_LOGONLOG primary key (USERID, LOGONTIME)
)
/


/*==============================================================*/
/* Table: ST_MDBOPDT                                            */
/*==============================================================*/


create table ST_MDBOPDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   MDBOPID              VARCHAR2(20)                     not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_MDBOPDT primary key (SUBSYS, MDBOPID, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_MDBOPFUNC                                          */
/*==============================================================*/


create table ST_MDBOPFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   MDBOPID              VARCHAR2(20)                     not null,
   FUNCID               VARCHAR2(20)                     not null,
   DISPNAME             VARCHAR2(100)                    not null,
   DISPNO               NUMBER(2),
   DISPPOS              NUMBER(4)                        not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500),
   URLPARAMS            VARCHAR2(255),
   TARGET               VARCHAR2(30),
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   FUNCINFO             VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MDBOPFUNC primary key (SUBSYS, MDBOPID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_MDBOPJSCSS                                         */
/*==============================================================*/


create table ST_MDBOPJSCSS  (
   SUBSYS               VARCHAR2(12)                     not null,
   MDBOPID              VARCHAR2(20)                     not null,
   JSCSSNO              NUMBER(4)                        not null,
   JSCSS                VARCHAR2(2000)                   not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_MDBOPJSCSS primary key (SUBSYS, MDBOPID, JSCSSNO)
)
/


/*==============================================================*/
/* Table: ST_MDBOPJSEVENT                                       */
/*==============================================================*/


create table ST_MDBOPJSEVENT  (
   SUBSYS               VARCHAR2(12)                     not null,
   MDBOPID              VARCHAR2(20)                     not null,
   EVENTTYPE            NUMBER(4)                        not null,
   JSFUNC               VARCHAR2(100)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_MDBOPJSEVENT primary key (SUBSYS, MDBOPID, EVENTTYPE)
)
/


/*==============================================================*/
/* Table: ST_MDBOPRES                                           */
/*==============================================================*/


create table ST_MDBOPRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   MDBOPID              VARCHAR2(20)                     not null,
   RESDESC              VARCHAR2(50)                     not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   ISSYSFMENU           NUMBER(4)                        not null,
   FORMACTION           VARCHAR2(255),
   NEXTURL              VARCHAR2(500),
   ARRAYFMT             VARCHAR2(255),
   BUSICLASSTYPE        NUMBER(4),
   BUSICLASS            VARCHAR2(255),
   BUSIMETHOD           VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MDBOPRES primary key (SUBSYS, MDBOPID)
)
/


/*==============================================================*/
/* Table: ST_MDBOPSUBRES                                        */
/*==============================================================*/


create table ST_MDBOPSUBRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   MDBOPID              VARCHAR2(20)                     not null,
   SUBRESID             VARCHAR2(20)                     not null,
   SUBRESDESC           VARCHAR2(40)                     not null,
   EXECNO               NUMBER(4)                        not null,
   DBOPTYPE             NUMBER(4)                        not null,
   DBOPSUBSYS           VARCHAR2(12)                     not null,
   DBOPRESID            VARCHAR2(20)                     not null,
   COLVALEXPS           VARCHAR2(255),
   PARAMEXPS            VARCHAR2(255),
   IGNJSCSS             NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_MDBOPSUBRES primary key (SUBSYS, MDBOPID, SUBRESID)
)
/


/*==============================================================*/
/* Table: ST_MODULE                                             */
/*==============================================================*/


create table ST_MODULE  (
   SUBSYS               VARCHAR2(12)                     not null,
   MODID                NUMBER(6)                        not null,
   CATID                NUMBER(6)                        not null,
   MODTITLE             VARCHAR2(40)                     not null,
   DISPNO               NUMBER(4),
   LINKPID              NUMBER(6),
   MODURL               VARCHAR2(200)                    not null,
   TARGET               VARCHAR2(20),
   ISOUTACCESS          NUMBER(4)                        not null,
   ISHIDE               NUMBER(4)                        not null,
   MODICON              VARCHAR2(100),
   REMARK               VARCHAR2(100),
   constraint PK_ST_MODULE primary key (SUBSYS, MODID)
)
/


/*==============================================================*/
/* Table: ST_MVCACTION                                          */
/*==============================================================*/


create table ST_MVCACTION  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   ACTDESC              VARCHAR2(100)                    not null,
   ISCACHE              NUMBER(4)                        not null,
   ACTCLASS             VARCHAR2(200),
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(4),
   ISAUTOBACK           NUMBER(4)                        not null,
   URLPATHID            VARCHAR2(40),
   ISREDIRECT           NUMBER(4),
   URLPATH              VARCHAR2(500),
   URLDESC              VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCACTION primary key (SUBSYS, ACTID)
)
/


/*==============================================================*/
/* Table: ST_MVCCHECK                                           */
/*==============================================================*/


create table ST_MVCCHECK  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   CTRLID               VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   CHECKEXP             VARCHAR2(255)                    not null,
   ERRINFO              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCCHECK primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_MVCEXPOP                                           */
/*==============================================================*/


create table ST_MVCEXPOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   CTRLID               VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECCND              VARCHAR2(255),
   EXPCONT              VARCHAR2(500)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCEXPOP primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_MVCGURL                                            */
/*==============================================================*/


create table ST_MVCGURL  (
   SUBSYS               VARCHAR2(12)                     not null,
   URLPATHID            VARCHAR2(40)                     not null,
   ISREDIRECT           NUMBER(4)                        not null,
   URLPATH              VARCHAR2(255)                    not null,
   URLDESC              VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCGURL primary key (SUBSYS, URLPATHID)
)
/


/*==============================================================*/
/* Table: ST_MVCMODEL                                           */
/*==============================================================*/


create table ST_MVCMODEL  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   CTRLID               VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECCND              VARCHAR2(500),
   TARGETSUBSYS         VARCHAR2(12),
   SCRIPTTYPE           NUMBER(4)                        not null,
   SCRIPTCONT           VARCHAR2(2000)                   not null,
   PARAMEXPS            VARCHAR2(1000),
   RSTATTR              VARCHAR2(40),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCMODEL primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_MVCOPCTRL                                          */
/*==============================================================*/


create table ST_MVCOPCTRL  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   CTRLID               VARCHAR2(20)                     not null,
   CTRLNO               NUMBER(4)                        not null,
   CTRLDESC             VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCOPCTRL primary key (SUBSYS, ACTID, CTRLID)
)
/


/*==============================================================*/
/* Table: ST_MVCRST                                             */
/*==============================================================*/


create table ST_MVCRST  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   CTRLID               VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   RETURNCND            VARCHAR2(255),
   URLPATHID            VARCHAR2(20),
   RETURNMSG            VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCRST primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_MVCURL                                             */
/*==============================================================*/


create table ST_MVCURL  (
   SUBSYS               VARCHAR2(12)                     not null,
   ACTID                VARCHAR2(40)                     not null,
   URLPATHID            VARCHAR2(40)                     not null,
   ISREDIRECT           NUMBER(4)                        not null,
   URLPATH              VARCHAR2(255)                    not null,
   URLDESC              VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_MVCURL primary key (SUBSYS, ACTID, URLPATHID)
)
/


/*==============================================================*/
/* Table: ST_PERMISSION                                         */
/*==============================================================*/


create table ST_PERMISSION  (
   SUBSYS               VARCHAR2(12)                     not null,
   PERMISSIONID         NUMBER(6)                        not null,
   PERMISSIONDESC       VARCHAR2(100)                    not null,
   PERMISSIONTYPE       NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_PERMISSION primary key (SUBSYS, PERMISSIONID)
)
/


/*==============================================================*/
/* Table: ST_QUICKMOD                                           */
/*==============================================================*/


create table ST_QUICKMOD  (
   USERID               VARCHAR2(20)                     not null,
   SUBSYS               VARCHAR2(12)                     not null,
   MODID                NUMBER(6)                        not null,
   DISPNO               NUMBER(4),
   constraint PK_ST_QUICKMOD primary key (USERID, SUBSYS, MODID)
)
/


/*==============================================================*/
/* Table: ST_REFDICRES                                          */
/*==============================================================*/


create table ST_REFDICRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICSUBKIND           NUMBER(4)                        not null,
   SUBKINDDESC          VARCHAR2(40)                     not null,
   ISBIGTBL             NUMBER(4)                        not null,
   TBLNAME              VARCHAR2(40)                     not null,
   DICGRPCOL            VARCHAR2(40),
   DICGRPCOLTYPE        NUMBER(4)                        not null,
   DICIDCOL             VARCHAR2(40)                     not null,
   DICIDCOLTYPE         NUMBER(4)                        not null,
   DICDESCCOL           VARCHAR2(40)                     not null,
   BINDCOLS             VARCHAR2(100),
   DISPAPPENDCND        VARCHAR2(255),
   SELAPPENDCND         VARCHAR2(255),
   DISPTYPE             NUMBER(4)                        not null,
   DDDESCTYPE           NUMBER(4)                        not null,
   POPDICURL            VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REFDICRES primary key (SUBSYS, DICSUBKIND)
)
/


/*==============================================================*/
/* Table: ST_REGION                                             */
/*==============================================================*/


create table ST_REGION  (
   RGID                 VARCHAR2(30)                     not null,
   RGNAME               VARCHAR2(40)                     not null,
   RGLEVEL              NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REGION primary key (RGID)
)
/


/*==============================================================*/
/* Table: ST_REPAPPLY                                           */
/*==============================================================*/


create table ST_REPAPPLY  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   APPLYOR              VARCHAR2(20)                     not null,
   APPLYTIME            DATE                             not null,
   APPLYTYPE            NUMBER(4)                        not null,
   ISCHECKED            NUMBER(4)                        not null,
   CHECKRST             NUMBER(4),
   CHECKER              VARCHAR2(20),
   CHECKTIME            DATE,
   FEEDBACK             VARCHAR2(255),
   constraint PK_ST_REPAPPLY primary key (SUBSYS, REPID, APPLYTIME)
)
/


/*==============================================================*/
/* Table: ST_REPCACHE                                           */
/*==============================================================*/


create table ST_REPCACHE  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CACHETIME            NUMBER(13)                       not null,
   CREATOR              VARCHAR2(20)                     not null,
   CACHESOURCE          NUMBER(4)                        not null,
   CNDVALUES            VARCHAR2(1000),
   DATASRCFLAG          VARCHAR2(2000),
   STARTROW             NUMBER(8)                        not null,
   PERROWS              NUMBER(8)                        not null,
   TOTALROWS            NUMBER(8)                        not null,
   RSTROWS              NUMBER(8)                        not null,
   RESULTSET            LONG RAW,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCACHE primary key (SUBSYS, REPID, CACHETIME)
)
/


/*==============================================================*/
/* Index: repcachekey                                           */
/*==============================================================*/
create index repcachekey on ST_REPCACHE (
   SUBSYS ASC,
   REPID ASC,
   CNDVALUES ASC,
   DATASRCFLAG ASC
)
/


/*==============================================================*/
/* Table: ST_REPCHART                                           */
/*==============================================================*/


create table ST_REPCHART  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CHARTNO              NUMBER(4)                        not null,
   CHARTDESC            VARCHAR2(40)                     not null,
   ISSHOWDATA           NUMBER(4)                        not null,
   DATAPOS              NUMBER(4),
   CHARTTYPE            NUMBER(4)                        not null,
   ORIENTATION          NUMBER(4)                        not null,
   TITLE                VARCHAR2(100),
   SUBTITLEEXP          VARCHAR2(255),
   CATTITLE             VARCHAR2(100),
   DATATITLE            VARCHAR2(100),
   WIDTH                NUMBER(4)                        not null,
   HEIGHT               NUMBER(4)                        not null,
   SERIESFIELD          VARCHAR2(40),
   CATFIELD             VARCHAR2(40)                     not null,
   DATA1EXP             VARCHAR2(255)                    not null,
   DATA2EXP             VARCHAR2(255),
   DATA3EXP             VARCHAR2(255),
   DATA4EXP             VARCHAR2(255),
   DATA5EXP             VARCHAR2(255),
   LISTENER             VARCHAR2(100),
   PIEMAXCAT            NUMBER(2),
   BGCOLOR              VARCHAR2(20),
   TIMEPERIOD           NUMBER(4),
   SCALEMIN             NUMBER(10,4),
   SCALEMAX             NUMBER(10,4),
   ISCHARTDATA          NUMBER(4)                        not null,
   DATAFMT              VARCHAR2(40),
   ISDATAFLAG           NUMBER(4)                        not null,
   ISMAP                NUMBER(4)                        not null,
   MAPTARGET            VARCHAR2(20),
   MAPURL               VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCHART primary key (SUBSYS, REPID, CHARTNO)
)
/


/*==============================================================*/
/* Table: ST_REPCHARTAXIS                                       */
/*==============================================================*/


create table ST_REPCHARTAXIS  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CHARTNO              NUMBER(4)                        not null,
   AXISNO               NUMBER(4)                        not null,
   SUBCHARTS            VARCHAR2(20)                     not null,
   AXISPOS              NUMBER(4)                        not null,
   SCALEMIN             NUMBER(10,4),
   SCALEMAX             NUMBER(10,4),
   AXISTITLE            VARCHAR2(40),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCHARTAXIS primary key (SUBSYS, REPID, CHARTNO, AXISNO)
)
/


/*==============================================================*/
/* Table: ST_REPCHECK                                           */
/*==============================================================*/


create table ST_REPCHECK  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CHECKID              VARCHAR2(20)                     not null,
   CHECKDESC            VARCHAR2(40)                     not null,
   RSTFILE              VARCHAR2(255),
   RSTHD                VARCHAR2(500),
   RSTFT                VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCHECK primary key (SUBSYS, REPID, CHECKID)
)
/


/*==============================================================*/
/* Table: ST_REPCHECKITEM                                       */
/*==============================================================*/


create table ST_REPCHECKITEM  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CHECKID              VARCHAR2(20)                     not null,
   ITEMNO               NUMBER(2)                        not null,
   CHECKRATE            NUMBER(4)                        not null,
   CHECKEXP             VARCHAR2(500)                    not null,
   PASSINFO             VARCHAR2(500),
   ERRINFO              VARCHAR2(500)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCHECKITEM primary key (SUBSYS, REPID, CHECKID, ITEMNO)
)
/


/*==============================================================*/
/* Table: ST_REPCND                                             */
/*==============================================================*/


create table ST_REPCND  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CNDID                VARCHAR2(40)                     not null,
   CNDNO                NUMBER(2)                        not null,
   CNDNAME              VARCHAR2(100)                    not null,
   CNDTYPE              NUMBER(4)                        not null,
   DISPNAME             VARCHAR2(100)                    not null,
   TAGTYPE              NUMBER(4)                        not null,
   DISPLEN              NUMBER(4),
   MAXCNDLEN            NUMBER(8),
   MINVAL               NUMBER(8),
   MAXVAL               NUMBER(8),
   CHECKFUNC            VARCHAR2(30),
   DISPFORMAT           VARCHAR2(30),
   INITVALEXP           VARCHAR2(500),
   CNDVALEXP            VARCHAR2(500),
   JTYPE                NUMBER(4)                        not null,
   DICKIND              NUMBER(4)                        not null,
   DICSUBSYS            VARCHAR2(12),
   DICSUBKIND           NUMBER(4),
   DICGRPID             VARCHAR2(40),
   VALDICCOL            NUMBER(4),
   POPDICURL            VARCHAR2(500),
   ISMUSTSEL            NUMBER(4)                        not null,
   ISNULLABLE           NUMBER(4)                        not null,
   ISHIDE               NUMBER(4)                        not null,
   LINKCNDS             VARCHAR2(100),
   JSEVENT              VARCHAR2(255),
   TAGSTYLE             VARCHAR2(255),
   CNDINFO              VARCHAR2(100),
   REMARK               VARCHAR2(100),
   constraint PK_ST_REPCND primary key (SUBSYS, REPID, CNDID)
)
/


/*==============================================================*/
/* Table: ST_REPCNDREM                                          */
/*==============================================================*/


create table ST_REPCNDREM  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   USERID               VARCHAR2(40)                     not null,
   SELCNDIDS            VARCHAR2(255),
   CNDVALUES            VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCNDREM primary key (SUBSYS, REPID, USERID)
)
/


/*==============================================================*/
/* Table: ST_REPCNDSVRCHECK                                     */
/*==============================================================*/


create table ST_REPCNDSVRCHECK  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CHECKNO              NUMBER(4)                        not null,
   CHECKEXP             VARCHAR2(500)                    not null,
   ERRINFO              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPCNDSVRCHECK primary key (SUBSYS, REPID, CHECKNO)
)
/


/*==============================================================*/
/* Table: ST_REPDT                                              */
/*==============================================================*/


create table ST_REPDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPDT primary key (SUBSYS, REPID, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_REPEXP                                             */
/*==============================================================*/


create table ST_REPEXP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   EXPID                VARCHAR2(20)                     not null,
   EXPDESC              VARCHAR2(60)                     not null,
   EXPTYPE              NUMBER(4)                        not null,
   EXPCONT              VARCHAR2(500)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPEXP primary key (SUBSYS, REPID, EXPID)
)
/


/*==============================================================*/
/* Table: ST_REPEXPORTTPL                                       */
/*==============================================================*/


create table ST_REPEXPORTTPL  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   TPLID                VARCHAR2(20)                     not null,
   TPLDESC              VARCHAR2(40)                     not null,
   TPLTYPE              NUMBER(4)                        not null,
   FILENAME             VARCHAR2(255),
   TPLCONT              LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPEXPORTTPL primary key (SUBSYS, REPID, TPLID)
)
/


/*==============================================================*/
/* Table: ST_REPFIELD                                           */
/*==============================================================*/


create table ST_REPFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   FIELDID              VARCHAR2(40)                     not null,
   FIELDNO              NUMBER(3)                        not null,
   TBLNAME              VARCHAR2(100),
   COLNAME              VARCHAR2(100)                    not null,
   DISPNAME             VARCHAR2(100)                    not null,
   DISPTYPE             NUMBER(4)                        not null,
   DISPFORMAT           VARCHAR2(30),
   JTYPE                NUMBER(4)                        not null,
   DICKIND              NUMBER(4)                        not null,
   DICSUBSYS            VARCHAR2(12),
   DICSUBKIND           NUMBER(4),
   DICGRPID             VARCHAR2(40),
   DICBINDFIELDS        VARCHAR2(100),
   POPDICURL            VARCHAR2(500),
   ISEDIT               NUMBER(4)                        not null,
   DISPLEN              NUMBER(4),
   ISTAGVALUE           NUMBER(4)                        not null,
   ISHDHMERGE           NUMBER(4)                        not null,
   ISHMERGE             NUMBER(4)                        not null,
   ISVMERGE             NUMBER(4)                        not null,
   ISPRINT              NUMBER(4)                        not null,
   ISHIDE               NUMBER(4)                        not null,
   LINKTARGET           VARCHAR2(40),
   LINKURL              VARCHAR2(500),
   PARAMFIELDS          VARCHAR2(100),
   QUERYINFO            VARCHAR2(255),
   FIRSTEXP             VARCHAR2(500),
   SECONDEXP            VARCHAR2(255),
   DISPEXP              VARCHAR2(255),
   ISACCESSEXP          VARCHAR2(255),
   LHDEXP               VARCHAR2(255),
   DHDEXP               VARCHAR2(255),
   LHDTDSTYLE           VARCHAR2(255),
   DHDTDSTYLE           VARCHAR2(255),
   LTDSTYLE             VARCHAR2(255),
   DTDSTYLE             VARCHAR2(255),
   REMARK               VARCHAR2(100),
   constraint PK_ST_REPFIELD primary key (SUBSYS, REPID, FIELDID)
)
/


/*==============================================================*/
/* Table: ST_REPFUNC                                            */
/*==============================================================*/


create table ST_REPFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   FUNCID               VARCHAR2(40)                     not null,
   DISPNAME             VARCHAR2(100)                    not null,
   DISPNO               NUMBER(4)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   DISPTYPE             NUMBER(4)                        not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500),
   URLPARAMS            VARCHAR2(100),
   TARGET               VARCHAR2(30),
   ISALWAYSSHOW         NUMBER(4)                        not null,
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   FUNCINFO             VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPFUNC primary key (SUBSYS, REPID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_REPGRIDHD                                          */
/*==============================================================*/


create table ST_REPGRIDHD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   HDROWID              NUMBER(2)                        not null,
   ROWNO                NUMBER(2)                        not null,
   TRSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPGRIDHD primary key (SUBSYS, REPID, HDROWID)
)
/


/*==============================================================*/
/* Table: ST_REPGRIDHDFIELD                                     */
/*==============================================================*/


create table ST_REPGRIDHDFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   HDROWID              NUMBER(2)                        not null,
   FIELDID              VARCHAR2(40)                     not null,
   HDEXP                VARCHAR2(40)                     not null,
   ISHMERGE             NUMBER(4)                        not null,
   ISVMERGE             NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPGRIDHDFIELD primary key (SUBSYS, REPID, HDROWID, FIELDID)
)
/


/*==============================================================*/
/* Table: ST_REPGRP                                             */
/*==============================================================*/


create table ST_REPGRP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   GRPFIELDS            VARCHAR2(100)                    not null,
   ISBREAK              NUMBER(4)                        not null,
   ISNEWPAGE            NUMBER(4)                        not null,
   ISNEWPAGENO          NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPGRP primary key (SUBSYS, REPID, GRPLEVEL)
)
/


/*==============================================================*/
/* Table: ST_REPGRPDT                                           */
/*==============================================================*/


create table ST_REPGRPDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPGRPDT primary key (SUBSYS, REPID, GRPLEVEL, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_REPGRPSUM                                          */
/*==============================================================*/


create table ST_REPGRPSUM  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(2)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   DISPNO               NUMBER(2)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   ISONEIGN             NUMBER(4)                        not null,
   ISMERGEBLK           NUMBER(4)                        not null,
   TRSTYLE              VARCHAR2(255),
   SUMDESC              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPGRPSUM primary key (SUBSYS, REPID, GRPLEVEL, SUMID)
)
/


/*==============================================================*/
/* Table: ST_REPGRPSUMFIELD                                     */
/*==============================================================*/


create table ST_REPGRPSUMFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   GRPLEVEL             NUMBER(4)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   FIELDID              VARCHAR2(40)                     not null,
   SUMEXP               VARCHAR2(255),
   DISPFORMAT           VARCHAR2(30),
   ISMERGEBLK           NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPGRPSUMFIELD primary key (SUBSYS, REPID, GRPLEVEL, SUMID, FIELDID)
)
/


/*==============================================================*/
/* Table: ST_REPHDFT                                            */
/*==============================================================*/


create table ST_REPHDFT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   HDFTTYPE             NUMBER(4)                        not null,
   DISPNO               NUMBER(4)                        not null,
   TRSTYLE              VARCHAR2(255),
   CONT1                VARCHAR2(255),
   TDSTYLE1             VARCHAR2(255),
   CONT2                VARCHAR2(255),
   TDSTYLE2             VARCHAR2(255),
   CONT3                VARCHAR2(255),
   TDSTYLE3             VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPHDFT primary key (SUBSYS, REPID, HDFTTYPE, DISPNO)
)
/


/*==============================================================*/
/* Table: ST_REPJSCSS                                           */
/*==============================================================*/


create table ST_REPJSCSS  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   JSCSSNO              NUMBER(4)                        not null,
   ISINIT               NUMBER(4)                        not null,
   JSCSS                VARCHAR2(2000)                   not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPJSCSS primary key (SUBSYS, REPID, JSCSSNO)
)
/


/*==============================================================*/
/* Table: ST_REPJSEVENT                                         */
/*==============================================================*/


create table ST_REPJSEVENT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   EVENTTYPE            NUMBER(4)                        not null,
   ISINIT               NUMBER(4)                        not null,
   JSFUNC               VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPJSEVENT primary key (SUBSYS, REPID, EVENTTYPE)
)
/


/*==============================================================*/
/* Table: ST_REPORT                                             */
/*==============================================================*/


create table ST_REPORT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   REPDESC              VARCHAR2(100)                    not null,
   REPSTATUS            NUMBER(4)                        not null,
   CREATOR              VARCHAR2(20)                     not null,
   CREATETIME           DATE                             not null,
   DATASRCTYPE          NUMBER(4)                        not null,
   DATASRC              VARCHAR2(4000)                   not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   DISPTYPE             NUMBER(4)                        not null,
   PERROWS              NUMBER(4)                        not null,
   ISAGRNOCND           NUMBER(4)                        not null,
   APPLYTYPE            NUMBER(4)                        not null,
   ISSYSFMENU           NUMBER(4)                        not null,
   ISCOLHD              NUMBER(4)                        not null,
   ISMAXWIDTH           NUMBER(4)                        not null,
   ISMAXLASTCOL         NUMBER(4)                        not null,
   ISEDIT               NUMBER(4)                        not null,
   LSTMODEL             NUMBER(4)                        not null,
   ISREMCND             NUMBER(4)                        not null,
   ISREALTIME           NUMBER(4)                        not null,
   ISAUTOCACHE          NUMBER(4)                        not null,
   REPLISTENER          VARCHAR2(100),
   CNDFMT               VARCHAR2(1000),
   LISTFMT              VARCHAR2(1000),
   DETAILFMT            VARCHAR2(2000),
   LTBSTYLE             VARCHAR2(255),
   DTBSTYLE             VARCHAR2(255),
   LHDTRSTYLE           VARCHAR2(255),
   LTRSTYLE             VARCHAR2(255),
   DTRSTYLE             VARCHAR2(255),
   DCOLWIDTHS           VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPORT primary key (SUBSYS, REPID)
)
/


/*==============================================================*/
/* Table: ST_REPPRT                                             */
/*==============================================================*/


create table ST_REPPRT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   LEFTMG               NUMBER(6,2),
   RIGHTMG              NUMBER(6,2),
   TOPMG                NUMBER(6,2),
   BOTTOMMG             NUMBER(6,2),
   PAPERORT             NUMBER(4)                        not null,
   HEADER               VARCHAR2(100),
   FOOTER               VARCHAR2(100),
   DEFAULTPRT           VARCHAR2(50),
   DEFAULTPAGE          VARCHAR2(50),
   PAGEWIDTH            NUMBER(6,2),
   PAGEHEIGHT           NUMBER(6,2),
   PRTZOOM              NUMBER(3,2)                      not null,
   ISPAGEDL             NUMBER(4)                        not null,
   ISPRTDL              NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPPRT primary key (SUBSYS, REPID)
)
/


/*==============================================================*/
/* Table: ST_REPSCHEDULE                                        */
/*==============================================================*/


create table ST_REPSCHEDULE  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   TASKID               VARCHAR2(20)                     not null,
   TASKDESC             VARCHAR2(50)                     not null,
   ISVALID              NUMBER(4)                        not null,
   TASKTYPE             NUMBER(4)                        not null,
   TASKTARGET           VARCHAR2(500),
   USERIDS              VARCHAR2(500),
   REPCNDS              VARCHAR2(1000),
   LOOPRULE             VARCHAR2(100),
   ROWLIMIT             NUMBER(6),
   ISREALTIME           NUMBER(4)                        not null,
   EXECPERIOD           NUMBER(4)                        not null,
   PERIODINTERVAL       NUMBER(2)                        not null,
   CRONEXP              VARCHAR2(100),
   STARTDATE            DATE                             not null,
   ENDDATE              DATE,
   LASTDATE             DATE,
   LASTSTATUS           NUMBER(4),
   LASTERR              VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPSCHEDULE primary key (SUBSYS, REPID, TASKID)
)
/


/*==============================================================*/
/* Table: ST_REPSUM                                             */
/*==============================================================*/


create table ST_REPSUM  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   DISPNO               NUMBER(4)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   ISONEIGN             NUMBER(4)                        not null,
   ISMERGEBLK           NUMBER(4)                        not null,
   SUMTYPE              NUMBER(4)                        not null,
   TRSTYLE              VARCHAR2(255),
   SUMDESC              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPSUM primary key (SUBSYS, REPID, SUMID)
)
/


/*==============================================================*/
/* Table: ST_REPSUMFIELD                                        */
/*==============================================================*/


create table ST_REPSUMFIELD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SUMID                VARCHAR2(20)                     not null,
   FIELDID              VARCHAR2(40)                     not null,
   SUMEXP               VARCHAR2(255),
   DISPFORMAT           VARCHAR2(30),
   ISMERGEBLK           NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPSUMFIELD primary key (SUBSYS, REPID, SUMID, FIELDID)
)
/


/*==============================================================*/
/* Table: ST_REPTREE                                            */
/*==============================================================*/


create table ST_REPTREE  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   TREENO               NUMBER(2)                        not null,
   TREEDESC             VARCHAR2(40)                     not null,
   ROOTNODEEXP          VARCHAR2(100)                    not null,
   ROOTSRC              NUMBER(4)                        not null,
   NODEFIELD            VARCHAR2(40)                     not null,
   DISPFIELD            VARCHAR2(40),
   EXPENDTYPE           NUMBER(4)                        not null,
   SUPERFIELD           VARCHAR2(40),
   ISLASTSHOWITEM       NUMBER(4)                        not null,
   ISOPENFIRST          NUMBER(4)                        not null,
   ISFILTERBLK          NUMBER(4)                        not null,
   EXTPOS               NUMBER(4)                        not null,
   ISINITEXT            NUMBER(4)                        not null,
   ISOPENREFRESH        NUMBER(4)                        not null,
   OPENICONFIELD        VARCHAR2(40),
   CLOSEICONFIELD       VARCHAR2(40),
   ITEMICONFIELD        VARCHAR2(40),
   OPENICON             VARCHAR2(100),
   CLOSEICON            VARCHAR2(100),
   ITEMICON             VARCHAR2(100),
   NODESTYLE            VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPTREE primary key (SUBSYS, REPID, TREENO)
)
/


/*==============================================================*/
/* Table: ST_REPTREEEXTNODE                                     */
/*==============================================================*/


create table ST_REPTREEEXTNODE  (
   SUBSYS               VARCHAR2(20)                     not null,
   REPID                NUMBER(5)                        not null,
   TREENO               NUMBER(2)                        not null,
   EXTNO                NUMBER(2)                        not null,
   SRRESID              VARCHAR2(20)                     not null,
   ISSHOWROOT           NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPTREEEXTNODE primary key (SUBSYS, REPID, TREENO, EXTNO)
)
/


/*==============================================================*/
/* Table: ST_REPUNITFUNC                                        */
/*==============================================================*/


create table ST_REPUNITFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   FUNCID               VARCHAR2(40)                     not null,
   DISPNAME             VARCHAR2(30)                     not null,
   DISPNO               NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500)                    not null,
   URLFIELDS            VARCHAR2(100),
   TARGET               VARCHAR2(30),
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   FUNCINFO             VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_REPUNITFUNC primary key (SUBSYS, REPID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_RGPARAM                                            */
/*==============================================================*/


create table ST_RGPARAM  (
   RGID                 VARCHAR2(40)                     not null,
   PARAMNAME            VARCHAR2(40)                     not null,
   PARAMVAL             VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_RGPARAM primary key (RGID, PARAMNAME)
)
/


/*==============================================================*/
/* Table: ST_ROLE                                               */
/*==============================================================*/


create table ST_ROLE  (
   SUBSYS               VARCHAR2(12)                     not null,
   ROLEID               NUMBER(6)                        not null,
   ROLEDESC             VARCHAR2(100)                    not null,
   ISOUTACCESS          NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_ROLE primary key (SUBSYS, ROLEID)
)
/


/*==============================================================*/
/* Table: ST_ROLEPERMISSION                                     */
/*==============================================================*/


create table ST_ROLEPERMISSION  (
   SUBSYS               VARCHAR2(12)                     not null,
   ROLEID               NUMBER(6)                        not null,
   PERMISSIONID         NUMBER(6)                        not null,
   constraint PK_ST_ROLEPERMISSION primary key (SUBSYS, ROLEID, PERMISSIONID)
)
/


/*==============================================================*/
/* Table: ST_SEQUENCE                                           */
/*==============================================================*/


create table ST_SEQUENCE  (
   SUBSYS               VARCHAR2(12)                     not null,
   SEQID                VARCHAR2(20)                     not null,
   SEQDESC              VARCHAR2(100)                    not null,
   CURVAL               NUMBER(14)                       not null,
   STEPLEN              NUMBER(4),
   SEQTYPE              NUMBER(4)                        not null,
   ISFOURYEAR           NUMBER(4)                        not null,
   BASESIZE             NUMBER(2),
   REMARK               VARCHAR2(100),
   constraint PK_ST_SEQUENCE primary key (SUBSYS, SEQID)
)
/


/*==============================================================*/
/* Table: ST_SFNODE                                             */
/*==============================================================*/


create table ST_SFNODE  (
   SUBSYS               VARCHAR2(12)                     not null,
   SFID                 NUMBER(5)                        not null,
   NODEID               VARCHAR2(10)                     not null,
   NODENO               NUMBER(2)                        not null,
   NODEDESC             VARCHAR2(40)                     not null,
   OPERATORS            VARCHAR2(100)                    not null,
   EXECCND              VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SFNODE primary key (SUBSYS, SFID, NODEID)
)
/


/*==============================================================*/
/* Table: ST_SIMPLEFLOW                                         */
/*==============================================================*/


create table ST_SIMPLEFLOW  (
   SUBSYS               VARCHAR2(12)                     not null,
   SFID                 NUMBER(5)                        not null,
   SFDESC               VARCHAR2(40)                     not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_SIMPLEFLOW primary key (SUBSYS, SFID)
)
/


/*==============================================================*/
/* Table: ST_SQLLOG                                             */
/*==============================================================*/


create table ST_SQLLOG  (
   LOGID                NUMBER(14)                       not null,
   USERID               VARCHAR2(20)                     not null,
   LOGDATE              DATE                             not null,
   SUBSYS               VARCHAR2(12)                     not null,
   TBLNAME              VARCHAR2(50)                     not null,
   SQLTYPE              NUMBER(4)                        not null,
   KEYCOLTYPE           VARCHAR2(40),
   KEYVALS              VARCHAR2(200),
   LOGSQL               VARCHAR2(2000)                   not null,
   UPDCONT              LONG,
   constraint PK_ST_SQLLOG primary key (LOGID)
)
/


/*==============================================================*/
/* Table: ST_SQLLOGSET                                          */
/*==============================================================*/


create table ST_SQLLOGSET  (
   SUBSYS               VARCHAR2(12)                     not null,
   TBLNAME              VARCHAR2(20)                     not null,
   KEYCOLS              VARCHAR2(100)                    not null,
   KEYCOLTYPE           VARCHAR2(40)                     not null,
   ISLOG                NUMBER(4)                        not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_SQLLOGSET primary key (SUBSYS, TBLNAME)
)
/


/*==============================================================*/
/* Table: ST_SRBODYCELL                                         */
/*==============================================================*/


create table ST_SRBODYCELL  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SRROWID              VARCHAR2(20)                     not null,
   SRCOLID              VARCHAR2(20)                     not null,
   VALEXP               VARCHAR2(500),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SRBODYCELL primary key (SUBSYS, REPID, SRROWID, SRCOLID)
)
/


/*==============================================================*/
/* Table: ST_SRCACHE                                            */
/*==============================================================*/


create table ST_SRCACHE  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   CACHETIME            NUMBER(13)                       not null,
   CREATOR              VARCHAR2(20)                     not null,
   CHECKER              VARCHAR2(20)                     not null,
   DATAUNIT             NUMBER(4)                        not null,
   CNDVALUES            VARCHAR2(1000),
   DATASRCFLAG          VARCHAR2(2000),
   CACHEDATA            LONG RAW,
   REMARK               VARCHAR2(255),
   constraint PK_ST_SRCACHE primary key (SUBSYS, REPID, CACHETIME)
)
/


/*==============================================================*/
/* Index: srCacheKey                                            */
/*==============================================================*/
create index srCacheKey on ST_SRCACHE (
   SUBSYS ASC,
   REPID ASC,
   DATAUNIT ASC,
   CNDVALUES ASC,
   DATASRCFLAG ASC
)
/


/*==============================================================*/
/* Table: ST_SRCOLUMN                                           */
/*==============================================================*/


create table ST_SRCOLUMN  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SRCOLID              VARCHAR2(20)                     not null,
   SRCOLNO              NUMBER(2)                        not null,
   DISPNAME             VARCHAR2(100)                    not null,
   COLTYPE              NUMBER(4)                        not null,
   JTYPE                NUMBER(4)                        not null,
   DATAUNIT             NUMBER(4)                        not null,
   FRACTION             NUMBER(2),
   ISADDUP              NUMBER(4)                        not null,
   COLVALEXP            VARCHAR2(255),
   DISPFORMAT           VARCHAR2(30),
   ISVMERGE             NUMBER(4)                        not null,
   COLWIDTH             VARCHAR2(20)                     not null,
   HDTDSTYLE            VARCHAR2(255),
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SRCOLUMN primary key (SUBSYS, REPID, SRCOLID)
)
/


/*==============================================================*/
/* Table: ST_SRGRIDHD                                           */
/*==============================================================*/


create table ST_SRGRIDHD  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   HDROWID              NUMBER(2)                        not null,
   ROWNO                NUMBER(2)                        not null,
   TRSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SRGRIDHD primary key (SUBSYS, REPID, HDROWID)
)
/


/*==============================================================*/
/* Table: ST_SRGRIDHDCOL                                        */
/*==============================================================*/


create table ST_SRGRIDHDCOL  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   HDROWID              NUMBER(2)                        not null,
   SRCOLID              VARCHAR2(20)                     not null,
   HDEXP                VARCHAR2(50)                     not null,
   ISHMERGE             NUMBER(4)                        not null,
   ISVMERGE             NUMBER(4)                        not null,
   TDSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SRGRIDHDCOL primary key (SUBSYS, REPID, HDROWID, SRCOLID)
)
/


/*==============================================================*/
/* Table: ST_SRHDFT                                             */
/*==============================================================*/


create table ST_SRHDFT  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   HDFTTYPE             NUMBER(4)                        not null,
   DISPNO               NUMBER(2)                        not null,
   TRSTYLE              VARCHAR2(255),
   CONT1                VARCHAR2(255),
   TDSTYLE1             VARCHAR2(255),
   CONT2                VARCHAR2(255),
   TDSTYLE2             VARCHAR2(255),
   CONT3                VARCHAR2(255),
   TDSTYLE3             VARCHAR2(255),
   REAMRK               VARCHAR2(255),
   constraint PK_ST_SRHDFT primary key (SUBSYS, REPID, DISPNO, HDFTTYPE)
)
/


/*==============================================================*/
/* Table: ST_SRROW                                              */
/*==============================================================*/


create table ST_SRROW  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SRROWID              VARCHAR2(20)                     not null,
   SRROWNO              NUMBER(3)                        not null,
   ITEMDESC             VARCHAR2(100)                    not null,
   ITEMGRADE            NUMBER(2)                        not null,
   ROWVALEXP            VARCHAR2(255),
   ROWHEIGHT            VARCHAR2(20),
   TRSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SRROW primary key (SUBSYS, REPID, SRROWID)
)
/


/*==============================================================*/
/* Table: ST_STRDIC                                             */
/*==============================================================*/


create table ST_STRDIC  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICGRPID             NUMBER(4)                        not null,
   DICID                VARCHAR2(40)                     not null,
   DICDESC              VARCHAR2(100)                    not null,
   REMARK               VARCHAR2(100),
   constraint PK_ST_STRDIC primary key (SUBSYS, DICGRPID, DICID)
)
/


/*==============================================================*/
/* Table: ST_STRDICGRP                                          */
/*==============================================================*/


create table ST_STRDICGRP  (
   SUBSYS               VARCHAR2(12)                     not null,
   DICGRPID             NUMBER(4)                        not null,
   ISSYSDIC             NUMBER(4)                        not null,
   DDDESCTYPE           NUMBER(4)                        not null,
   GRPDESC              VARCHAR2(100),
   REMARK               VARCHAR2(100),
   constraint PK_ST_STRDICTYPE primary key (SUBSYS, DICGRPID)
)
/


/*==============================================================*/
/* Table: ST_SUBREP                                             */
/*==============================================================*/


create table ST_SUBREP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   SRRESID              VARCHAR2(20)                     not null,
   SRRESDESC            VARCHAR2(40)                     not null,
   SRSUBSYS             VARCHAR2(12)                     not null,
   SRREPID              NUMBER(5)                        not null,
   CNDSOURCE            NUMBER(4)                        not null,
   SELCNDS              VARCHAR2(255),
   MAPCNDS              VARCHAR2(255),
   RSTFILTERCND         VARCHAR2(255),
   DISPTYPE             NUMBER(4),
   NRPARAMS             VARCHAR2(255),
   ERPARAMS             VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SUBREP primary key (SUBSYS, REPID, SRRESID)
)
/


/*==============================================================*/
/* Table: ST_SUBSEQ                                             */
/*==============================================================*/


create table ST_SUBSEQ  (
   SUBSYS               VARCHAR2(12)                     not null,
   SEQID                VARCHAR2(20)                     not null,
   SUBSEQID             VARCHAR2(50)                     not null,
   CURVAL               NUMBER(14)                       not null,
   REMARK               VARCHAR2(100),
   constraint PK_ST_SUBSEQ primary key (SUBSYS, SEQID, SUBSEQID)
)
/


/*==============================================================*/
/* Table: ST_SUBSYS                                             */
/*==============================================================*/


create table ST_SUBSYS  (
   SUBSYS               VARCHAR2(12)                     not null,
   SYSDESC              VARCHAR2(100)                    not null,
   DBRESID              VARCHAR2(12)                     not null,
   TESTDBRESID          VARCHAR2(12),
   COLINFOSUBSYS        VARCHAR2(12),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SUBSYS primary key (SUBSYS)
)
/


/*==============================================================*/
/* Table: ST_SUMMARYREP                                         */
/*==============================================================*/


create table ST_SUMMARYREP  (
   SUBSYS               VARCHAR2(12)                     not null,
   REPID                NUMBER(5)                        not null,
   PERIODTYPE           NUMBER(4)                        not null,
   PERIODCNDIDS         VARCHAR2(100),
   LASTBORDER           NUMBER(4)                        not null,
   ISEDIT               NUMBER(4)                        not null,
   ISEDITACTRL          NUMBER(4)                        not null,
   EDITPID              NUMBER(5),
   ISAUTOCACHE          NUMBER(4)                        not null,
   ISAUTOBALENCE        NUMBER(4)                        not null,
   DEFDATAUNIT          NUMBER(4)                        not null,
   FRACTION             NUMBER(4),
   ISFIXEDSIZE          NUMBER(4),
   ROWHDCOLSPAN         NUMBER(2)                        not null,
   ROWHDEXP             VARCHAR2(255),
   TBLSTYLE             VARCHAR2(255),
   HDTRSTYLE            VARCHAR2(255),
   TRSTYLE              VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SUMMARYREP primary key (SUBSYS, REPID)
)
/


/*==============================================================*/
/* Table: ST_SYSPARAM                                           */
/*==============================================================*/


create table ST_SYSPARAM  (
   SUBSYS               VARCHAR2(12)                     not null,
   PARAMNAME            VARCHAR2(30)                     not null,
   PARAMVALUE           VARCHAR2(255),
   ISCACHE              NUMBER(4)                        not null,
   PARAMDESC            VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SYSPARAM primary key (SUBSYS, PARAMNAME)
)
/


/*==============================================================*/
/* Table: ST_SYSUSER                                            */
/*==============================================================*/


create table ST_SYSUSER  (
   USERID               VARCHAR2(20)                     not null,
   PASSWD               VARCHAR2(80),
   USERNAME             VARCHAR2(20)                     not null,
   REGION               VARCHAR2(30)                     not null,
   GRADE                NUMBER(4)                        not null,
   DEPT                 VARCHAR2(30)                     not null,
   POST                 NUMBER(4)                        not null,
   USERTYPE             NUMBER(4)                        not null,
   DISPNO               NUMBER(4),
   USERSTAT             NUMBER(4)                        not null,
   IPDRESS              VARCHAR2(20),
   ISBINDIP             NUMBER(4)                        not null,
   EMAIL                VARCHAR2(40),
   MOBILE               VARCHAR2(20),
   REMARK               VARCHAR2(255),
   constraint PK_ST_SYSUSER primary key (USERID)
)
/


/*==============================================================*/
/* Table: ST_TABFUNC                                            */
/*==============================================================*/


create table ST_TABFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   TABID                NUMBER(5)                        not null,
   FUNCID               VARCHAR2(30)                     not null,
   DISPNAME             VARCHAR2(30)                     not null,
   DISPNO               NUMBER(4)                        not null,
   DISPPOS              NUMBER(4)                        not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500),
   TARGET               VARCHAR2(30),
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_TABFUNC primary key (SUBSYS, TABID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_TABJSCSS                                           */
/*==============================================================*/


create table ST_TABJSCSS  (
   SUBSYS               VARCHAR2(12)                     not null,
   TABID                NUMBER(5)                        not null,
   JSCSSNO              NUMBER(2)                        not null,
   JSCSS                VARCHAR2(2000)                   not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_TABJSCSS primary key (SUBSYS, TABID, JSCSSNO)
)
/


/*==============================================================*/
/* Table: ST_TABPAGE                                            */
/*==============================================================*/


create table ST_TABPAGE  (
   SUBSYS               VARCHAR2(12)                     not null,
   TABID                NUMBER(5)                        not null,
   TABPAGEID            VARCHAR2(20)                     not null,
   PAGETITLE            VARCHAR2(40)                     not null,
   DISPNO               NUMBER(2)                        not null,
   LINKPID              NUMBER(6),
   PAGEURL              VARCHAR2(500)                    not null,
   JSEVENT              VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_TABPAGE primary key (SUBSYS, TABID, TABPAGEID)
)
/


/*==============================================================*/
/* Table: ST_TABRES                                             */
/*==============================================================*/


create table ST_TABRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   TABID                NUMBER(5)                        not null,
   TABDESC              VARCHAR2(100)                    not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   ISSHOWTITLE          NUMBER(4)                        not null,
   ROWPAGES             NUMBER(2),
   TABPOS               NUMBER(4)                        not null,
   ROWFUNCS             NUMBER(2),
   REMARK               VARCHAR2(255),
   constraint PK_ST_TABRES primary key (SUBSYS, TABID)
)
/


/*==============================================================*/
/* Table: ST_TBLINFO                                            */
/*==============================================================*/


create table ST_TBLINFO  (
   SUBSYS               VARCHAR2(12)                     not null,
   TBLNAME              VARCHAR2(40)                     not null,
   TBLDESC              VARCHAR2(100),
   REMARK               VARCHAR2(100),
   constraint PK_ST_TBLINFO primary key (SUBSYS, TBLNAME)
)
/


/*==============================================================*/
/* Table: ST_UPDCOLINFO                                         */
/*==============================================================*/


create table ST_UPDCOLINFO  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   COLNAME              VARCHAR2(40)                     not null,
   COLDESC              VARCHAR2(40),
   ISNULLABLE           NUMBER(4),
   TAGTYPE              NUMBER(4),
   DISPFORMAT           VARCHAR2(30),
   DISPLEN              NUMBER(8),
   ROWSIZE              NUMBER(4),
   CHECKFUNC            VARCHAR2(30),
   POPDICURL            VARCHAR2(500),
   TAGSTYLE             VARCHAR2(255),
   ISALWAYSSAVE         NUMBER(4)                        not null,
   DISPEXP              VARCHAR2(500),
   SAVEEXP              VARCHAR2(500),
   JSEVENT              VARCHAR2(255),
   constraint PK_ST_UPDCOLINFO primary key (SUBSYS, UPDATEID, COLNAME)
)
/


/*==============================================================*/
/* Table: ST_UPDDT                                              */
/*==============================================================*/


create table ST_UPDDT  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   DTTYPE               NUMBER(4)                        not null,
   DTCONT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDDT primary key (SUBSYS, UPDATEID, DTTYPE)
)
/


/*==============================================================*/
/* Table: ST_UPDEXPOP                                           */
/*==============================================================*/


create table ST_UPDEXPOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   EXECCND              VARCHAR2(255),
   EXPCONT              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDEXPOP primary key (SUBSYS, UPDATEID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_UPDFUNC                                            */
/*==============================================================*/


create table ST_UPDFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   FUNCID               VARCHAR2(20)                     not null,
   DISPNAME             VARCHAR2(100)                    not null,
   DISPNO               NUMBER(2),
   DISPPOS              NUMBER(4)                        not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCURL              VARCHAR2(500),
   URLCOLS              VARCHAR2(255),
   TARGET               VARCHAR2(30),
   LINKPID              NUMBER(6),
   DISPCND              VARCHAR2(255),
   QUERYINFO            VARCHAR2(255),
   FUNCINFO             VARCHAR2(100),
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDFUNC primary key (SUBSYS, UPDATEID, FUNCID)
)
/


/*==============================================================*/
/* Table: ST_UPDJSCSS                                           */
/*==============================================================*/


create table ST_UPDJSCSS  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   JSCSSNO              NUMBER(4)                        not null,
   JSCSS                VARCHAR2(2000)                   not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDJSCSS primary key (SUBSYS, UPDATEID, JSCSSNO)
)
/


/*==============================================================*/
/* Table: ST_UPDJSEVENT                                         */
/*==============================================================*/


create table ST_UPDJSEVENT  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   EVENTTYPE            NUMBER(4)                        not null,
   JSFUNC               VARCHAR2(100)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDJSEVENT primary key (SUBSYS, UPDATEID, EVENTTYPE)
)
/


/*==============================================================*/
/* Table: ST_UPDLINKOP                                          */
/*==============================================================*/


create table ST_UPDLINKOP  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   EXECNO               NUMBER(4)                        not null,
   EXECPOS              NUMBER(4)                        not null,
   EXECCND              VARCHAR2(500),
   TARGETSUBSYS         VARCHAR2(12),
   SCRIPTTYPE           NUMBER(4)                        not null,
   SCRIPTCONT           VARCHAR2(2000)                   not null,
   PARAMEXPS            VARCHAR2(1000),
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDLINKOP primary key (SUBSYS, UPDATEID, EXECNO)
)
/


/*==============================================================*/
/* Table: ST_UPDRES                                             */
/*==============================================================*/


create table ST_UPDRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   UPDTYPE              NUMBER(4)                        not null,
   RESDESC              VARCHAR2(100)                    not null,
   RESOBJ               VARCHAR2(100)                    not null,
   ISACTRL              NUMBER(4)                        not null,
   PERMISSIONID         NUMBER(6),
   ISCHKRST             NUMBER(4)                        not null,
   ISSYSFMENU           NUMBER(4)                        not null,
   FORMACTION           VARCHAR2(255),
   NEXTURL              VARCHAR2(500),
   APPENDCND            VARCHAR2(255),
   BCNDCOLS             VARCHAR2(100),
   BORDERCOLS           VARCHAR2(100),
   UPDCOLS              VARCHAR2(2000),
   NOUPDCOLS            VARCHAR2(255),
   DISPCOLS             VARCHAR2(255),
   ARRAYFMT             VARCHAR2(2000),
   TAGPROVIDER          VARCHAR2(100),
   UPDHANDLER           VARCHAR2(100),
   DATACLASSTYPE        NUMBER(4),
   DATACLASS            VARCHAR2(100),
   DATAMETHOD           VARCHAR2(100),
   DATAPARAMS           VARCHAR2(100),
   BUSICLASSTYPE        NUMBER(4),
   BUSICLASS            VARCHAR2(100),
   BUSIMETHOD           VARCHAR2(50),
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDRES primary key (SUBSYS, UPDATEID)
)
/


/*==============================================================*/
/* Table: ST_UPDSVRCHECK                                        */
/*==============================================================*/


create table ST_UPDSVRCHECK  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   CHECKNO              NUMBER(4)                        not null,
   CHECKEXP             VARCHAR2(255)                    not null,
   ERRINFO              VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDSVRCHECK primary key (SUBSYS, UPDATEID, CHECKNO)
)
/


/*==============================================================*/
/* Table: ST_UPDTABPAGE                                         */
/*==============================================================*/


create table ST_UPDTABPAGE  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPDATEID             VARCHAR2(20)                     not null,
   PAGENO               NUMBER(4)                        not null,
   PAGETITLE            VARCHAR2(40)                     not null,
   ARRAYFMT             VARCHAR2(500),
   PAGEDT               LONG,
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPDTABPAGE primary key (SUBSYS, UPDATEID, PAGENO)
)
/


/*==============================================================*/
/* Table: ST_UPLOADRES                                          */
/*==============================================================*/


create table ST_UPLOADRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   UPLOADID             VARCHAR2(20)                     not null,
   UPLOADDESC           VARCHAR2(100)                    not null,
   TBLNAME              VARCHAR2(40)                     not null,
   COLNAME              VARCHAR2(40)                     not null,
   COLTYPE              NUMBER(4)                        not null,
   ALLOWFTYPE           VARCHAR2(40),
   DENYFTYPE            VARCHAR2(40),
   FILEMAXSIZE          NUMBER(10),
   ISUPDACTRL           NUMBER(4)                        not null,
   UPDPID               NUMBER(6),
   ISREADACTRL          NUMBER(4)                        not null,
   READPID              NUMBER(6),
   APPENDCND            VARCHAR2(255),
   REMARK               VARCHAR2(255),
   constraint PK_ST_UPLOADRES primary key (SUBSYS, UPLOADID)
)
/


/*==============================================================*/
/* Table: ST_URLRES                                             */
/*==============================================================*/


create table ST_URLRES  (
   SUBSYS               VARCHAR2(12)                     not null,
   URLTYPE              NUMBER(4)                        not null,
   URL                  VARCHAR2(255)                    not null,
   REMARK               VARCHAR2(100),
   constraint PK_ST_URLRES primary key (SUBSYS, URLTYPE, URL)
)
/


/*==============================================================*/
/* Table: ST_USEREXPFUNC                                        */
/*==============================================================*/


create table ST_USEREXPFUNC  (
   SUBSYS               VARCHAR2(12)                     not null,
   FUNCNAME             VARCHAR2(30)                     not null,
   MAPMETHOD            VARCHAR2(100)                    not null,
   FUNCTYPE             NUMBER(4)                        not null,
   FUNCDESC             VARCHAR2(255),
   constraint PK_ST_USEREXPFUNC primary key (SUBSYS, FUNCNAME)
)
/


/*==============================================================*/
/* Table: ST_USERROLE                                           */
/*==============================================================*/


create table ST_USERROLE  (
   SUBSYS               VARCHAR2(12)                     not null,
   ROLEID               NUMBER(6)                        not null,
   USERID               VARCHAR2(20)                     not null,
   constraint PK_ST_USERROLE primary key (USERID, SUBSYS, ROLEID)
)
/


/*==============================================================*/
/* Table: ST_USERSUBSYS                                         */
/*==============================================================*/


create table ST_USERSUBSYS  (
   SUBSYS               VARCHAR2(12)                     not null,
   USERID               VARCHAR2(20)                     not null,
   OPTYPE               NUMBER(4)                        not null,
   constraint PK_ST_USERSUBSYS primary key (SUBSYS, USERID, OPTYPE)
)
/


/*==============================================================*/
/* Table: ST_WGUSER                                             */
/*==============================================================*/


create table ST_WGUSER  (
   WGID                 NUMBER(6)                        not null,
   USERID               VARCHAR2(20)                     not null,
   constraint PK_ST_WGUSER primary key (WGID, USERID)
)
/


/*==============================================================*/
/* Table: ST_WORKGROUP                                          */
/*==============================================================*/


create table ST_WORKGROUP  (
   RGID                 VARCHAR2(30)                     not null,
   WGID                 NUMBER(6)                        not null,
   WGNAME               VARCHAR2(40)                     not null,
   DISPNO               NUMBER(4),
   REMARK               VARCHAR2(255),
   constraint PK_ST_WORKGROUP primary key (WGID)
)
/


